// Copyright (c) Mito
import React, { Fragment, useState } from 'react';
import '../../../css/large-input.css';
/*
  A input component created for use in taskpanes
*/
const LargeInput = (props) => {
    const [currentValue, setCurrentValue] = useState(props.startingValue);
    const className = !props.extraLarge ? 'input large-input' : 'input extra-large-input';
    return (React.createElement(Fragment, null,
        React.createElement("form", { onSubmit: async (e) => { e.preventDefault(); await props.onSubmit(currentValue); } },
            React.createElement("input", { className: className, type: 'text', value: currentValue, onChange: (e) => { setCurrentValue(e.target.value); }, onBlur: () => props.onSubmit(currentValue), placeholder: props.placeholderText, autoFocus: true }))));
};
export default LargeInput;
//# sourceMappingURL=LargeInput.js.map