// Copyright (c) Mito
import React from 'react';
import { AggregationType, SelectionOperation } from './PivotTaskpane';
// import css
import '../../../../css/pivot-table-column-header-card.css';
import '../../../../css/pivot-table-value-aggregation-card.css';
import SmallSelect, { TitleColor } from '../../elements/SmallSelect';
/*
  A custom component that displays the column headers chosen as the key for the pivot table.
*/
const PivotTableValueAggregationCard = (props) => {
    // Create a list of the possible aggregation methods
    const aggregationTypeList = Object.values(AggregationType);
    const setAggregationType = (aggregationType) => {
        // Declare the aggregationType param of type AggregationType and then make sure that it is
        const aggregationTypeCast = aggregationType;
        if (aggregationTypeList.includes(aggregationTypeCast)) {
            props.editValueAggregationSelection(props.columnHeader, SelectionOperation.ADD, aggregationTypeCast);
        }
    };
    return (React.createElement("div", { className: 'pivot-table-column-header-card-div' },
        React.createElement("div", { className: 'pivot-table-value-aggregation-card-aggregation-info-div' },
            React.createElement(SmallSelect, { startingValue: props.aggregationType, optionsArray: aggregationTypeList, setValue: setAggregationType, titleColor: TitleColor.DARK }),
            React.createElement("p", { className: 'pivot-table-value-aggregation-card-div-text ml-5' },
                "of ",
                props.columnHeader)),
        React.createElement("div", { className: 'pivot-table-column-header-card-exit-div', onClick: () => props.editValueAggregationSelection(props.columnHeader, SelectionOperation.REMOVE) },
            React.createElement("svg", { width: "15", height: "15", viewBox: "0 0 7 7", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                React.createElement("line", { x1: "0.353553", y1: "0.646447", x2: "5.66601", y2: "5.9589", stroke: "#343434" }),
                React.createElement("line", { x1: "0.354943", y1: "5.95895", x2: "5.66739", y2: "0.646497", stroke: "#343434" })))));
};
export default PivotTableValueAggregationCard;
//# sourceMappingURL=PivotTableValueAggregationCard.js.map