// Copyright (c) Mito
import React, { Fragment, useState } from 'react';
import DefaultTaskpane from '../DefaultTaskpane';
import '../../../../css/step-taskpane.css';
import StepDataElement from './StepDataElement';
/*
    Taskpane containing a list of all the steps and allowing
    a user to interact with them
*/
function StepTaskpane(props) {
    const [openedDropdownIndex, setOpenedDropdownIndex] = useState(undefined);
    return (React.createElement(DefaultTaskpane, { header: 'Step History', setCurrOpenTaskpane: props.setCurrOpenTaskpane, taskpaneBody: React.createElement(Fragment, null, props.stepDataList.map((stepData, index) => {
            return (React.createElement(StepDataElement, { key: stepData.step_id, beforeCurrIdx: index <= props.currStepIdx, openedDropdown: index === openedDropdownIndex, setOpenedDropdown: (openedDropdown) => {
                    if (!openedDropdown) {
                        setOpenedDropdownIndex(undefined);
                    }
                    else {
                        setOpenedDropdownIndex(index);
                    }
                }, stepData: stepData, mitoAPI: props.mitoAPI }));
        })) }));
}
export default StepTaskpane;
//# sourceMappingURL=StepsTaskpane.js.map